dual screen ubuntu 14.04, second screen only partially displaying desktop

Bug #1311881 reported by Murshed Choudhury on 2014-04-23
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
xorg (Ubuntu)
Undecided
Unassigned

Bug Description

The second screen on my 2 monitor Ubuntu 14.04 setup is only partially showing any of the desktop.
The primary screen is a 22" 1680*1050 and the secondary screen is 1920*1200.
The primary screen has a complete and true 1680*1050 desktop, but the secondary screen only shows 1" of the 1920*1200 screen down the left vertical.
The rest of the desktop is obscured under some "black window", with only the mouse being displayed as it travels through that screen.

Any windows or items below that black area, can be interacted with, and the mouse indicates their presence with resize/minimise and other hints, but they do not display over the black area.

The system was working perfectly fine in 13.10 and this issue only occurred after I upgraded to 14.04 and, faced with a "failed to start session" bug on the login screen, resorted to an "apt-get install ubuntu-desktop" to get my desktop up and running.

My graphics card is an ATI Radeon HD 6670 and my monitors are Samsung Syncmaster 2232bw (22") and Dell UM2412M.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xorg 1:7.7+1ubuntu8
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
NonfreeKernelModules: fglrx
.tmp.unity.support.test.0:

ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Wed Apr 23 21:51:03 2014
DistUpgraded: 2014-04-23 18:43:48,762 DEBUG enabling apt cron job
DistroCodename: trusty
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Turks XT [Radeon HD 6670/7670] [1002:6758] (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:0443]
InstallationDate: Installed on 2012-09-24 (576 days ago)
InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1)
MachineType: System manufacturer System Product Name
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-24-generic root=UUID=1aff935b-13e8-475e-a845-3d816a582db2 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: Upgraded to trusty on 2014-04-23 (0 days ago)
dmi.bios.date: 03/23/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1103
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M5A78L-M/USB3
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1103:bd03/23/2012:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM5A78L-M/USB3:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz 1:0.9.11+14.04.20140409-0ubuntu1
version.fglrx-installer: fglrx-installer N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.0-4ubuntu5
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.0-4ubuntu5
version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Wed Apr 23 22:38:29 2014
xserver.configfile: default
xserver.errors:
 open /dev/dri/card0: No such file or directory
 AIGLX error: failed to open /usr/X11R6/lib64/modules/dri/fglrx_dri.so, error[/usr/X11R6/lib64/modules/dri/fglrx_dri.so: cannot open shared object file: No such file or directory]
 AIGLX error: failed to open /usr/lib64/dri/fglrx_dri.so, error[/usr/lib64/dri/fglrx_dri.so: cannot open shared object file: No such file or directory]
 AIGLX error: failed to open /usr/X11R6/lib/modules/dri/fglrx_dri.so, error[/usr/X11R6/lib/modules/dri/fglrx_dri.so: cannot open shared object file: No such file or directory]
xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.15.1-0ubuntu2
xserver.video_driver: fglrx

Murshed Choudhury (murshed77) wrote :
Murshed Choudhury (murshed77) wrote :

This bug has "fixed itself", don't know exactly how. I just logged into another account, that seemed to work perfectly. I then logged out of that account and back into my main account and it too is now working fine. For the moment.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed

Was affected by the same issue. Managed to fix it by selecting "Use graphics processor for scaling" on the affected display (under the "Adjustments" tab) in Catalyst Control Centre.

I had simmilar issue. I deisabled the gpu-manager.conf, deleted old xorg.conf, used aticonfig --initial to create a new config file, logged in and used amdcccle to make final adjustments.

I dont really understand this but it seems that there is some problem with randr.

Murshed Choudhury, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1311881/comments/2 regarding this being fixed with an update. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

tags: added: bios-outdated-2001
Changed in xorg (Ubuntu):
status: Confirmed → Invalid
Hai NGUYEN VAN (psaxl) wrote :

This seems to be a problem related to the following file `~/.config/monitors.xml`. I deleted it then relogged then everything was fine.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers